welcome: please sign in
location: InstallationDebian

The basic installation instructions found at Installation also apply to Debian, Ubuntu, and other Debian-like OSes. However, packages are also available for these operating systems, that make installation even easier.

1. Debian

Debian includes packages for Conkeror since version 5.0 (Lenny). You can install Conkeror like this1 as root:

apt-get install conkeror conkeror-spawn-process-helper

2. Ubuntu

2.1. Ubuntu Lucid and Maverick

Ubuntu Lucid and Maverick include Conkeror packages. You can install Conkeror like this2:

sudo apt-get install conkeror conkeror-spawn-process-helper

2.2. Ubuntu Natty and Oneiric

Due to the new Mozilla release schedule, Ubuntu kicked out Mozilla XULRunner and all its reverse dependencies (including Conkeror) in 11.04 Natty and later releases.

Since Conkeror can use "firefox -app" instead of "xulrunner", conkeror packages with package version 1.0~~pre+git1110272207-~nightly1 or higher use this feature and are installable on Ubuntu again.

The easiest way to use Conkeror on these Ubuntu releases is to add the PPA at https://launchpad.net/~xtaran/+archive/conkeror:

sudo apt-add-repository ppa:xtaran/conkeror

Or use the nightly built packages (see below).

3. Nightly Snapshot Packages

See http://noone.org/conkeror-nightly-debs/ for daily automatically built snapshot packages of Conkeror for Debian Lenny and Sid and instructions on how to use this APT repository. Could also be used on other Debian based systems like Ubuntu.

Development .deb packages suitable at least for Debian but probably also for other .deb based distributions are available at http://noone.org/debian/ or in the APT repository at http://noone.org/apt/. The Debian packaging is included in conkeror's git repository, so you can also build your own Debian package from a cloned conkeror git working copy. See GitHelp for details.

3.1. Installation Notes

Conkeror .deb packages are architecture independent which means on the one hand that they can be used independent of the hardware platform used and on the other hand that newer packages usually still work in operating system releases which contain an earlier or no version of Conkeror if all dependencies are installed.

For the C program conkeror-spawn-helper (formerly spawn-process-helper) it's not that easy. Since this is a binary program and therefore packaged in a binary package (named conkeror-spawn-process-helper), it must fit the architecture of the system as well as the C library for which the package has been compiled. For a while, the packages built for Debian experimental and unstable will also run on Debian Lenny, but when a new C library enters Debian unstable, conkeror-spawn-process-helper from unstable will no more fit into Debian Lenny. That's where Backports.org comes into play: There are packages available which were "backported" to earlier Debian releases.

The downloaded .deb files can be installed as root3 with a command like:

dpkg -i conkeror*.deb

3.2. Build Your Own Packages

Do you really need to build your own Conkeror package?

To build your own Conkeror package, install fakeroot, quilt, and debhelper, then enter the directory of your Conkeror git clone and run:

fakeroot debian/rules binary

4. Starting Conkeror

You can launch Conkeror installed via a .deb package with the conkeror command or via the Debian menu.

Couldn't be easier!

5. High CPU Usage on Debian Lenny Systems

On September 28th, 2008, with the upload of xulrunner 1.9.0.3-1 into Debian Sid, JEMALLOC has been disabled globally for xulrunner.4 This has caused the CPU usage to be exceptionally high on some systems, even when only displaying a buffer with about:blank. Setting the environment variable MOZILLA_NO_JEMALLOC to 0 fixes the problem here. The following rather ugly wrapper script does the job:

david@homeless:~$ cat /usr/local/bin/conkeror 
#!/bin/bash

MOZILLA_NO_JEMALLOC=0 /usr/bin/conkeror

Just call conkeror to use conkeror now.


5.0.0.0.1. Footnotes
  1. Depending on your installation you may need to use sudo or su to gain administrative rights or want to use another packaging manager like e.g. aptitude, adept or synaptic instead of apt-get. (1)

  2. Depending on your installation you may need to use su instead of sudo to gain administrative rights or want to use another packaging manager like e.g. aptitude, adept or synaptic instead of apt-get. (2)

  3. Depending on your installation and operating system you may need to use sudo or su to gain administrative rights. (3)

  4. http://packages.qa.debian.org/x/xulrunner/news/20080928T154745Z.html (4)

Conkeror.org: InstallationDebian (last edited 2013-05-16 17:51:23 by retroj)